portmaster jpeg

mfaridi

Aspiring Daemon

Reaction score: 15
Messages: 713

I upgrade jpeg with this command
Code:
portmaster -D -u jpeg
but when I read
Code:
/usr/ports/UPDATING
I see this
Code:
20090719:
  AFFECTS: users of graphics/jpeg
  AUTHOR: dinoex@FreeBSD.org

  jpeg has been updated to 7.0.
  Quick instructions:
        pkg_delete -r jpeg-6b_7
  Please rebuild all ports that depends on it.
so after upgrade many packages dose not work
how I can upgrade all packages or rebuild all ports that depends on jpeg by portmaster ?
 

sleek

New Member


Messages: 7

I have this problem too. :(
One upgraded library and then mess up so many applications.
From can't using .jpg as a wallpaper to emacs not loading.
 

SirDice

Administrator
Staff member
Administrator
Moderator

Reaction score: 7,875
Messages: 31,140

# portmaster -r jpg

See the portmaster man page.
 

sleek

New Member


Messages: 7

Code:
beastie# portmaster -r jpg

===>>> No valid installed port, or port directory given
===>>> Try portmaster --help

beastie# portmaster -r jpeg

===>>> No valid installed port, or port directory given
===>>> Try portmaster --help
 

sleek

New Member


Messages: 7

sleek said:
Code:
beastie# portmaster -r jpg

===>>> No valid installed port, or port directory given
===>>> Try portmaster --help

beastie# portmaster -r jpeg

===>>> No valid installed port, or port directory given
===>>> Try portmaster --help
nvm, I got it, at least for me it should be

Code:
beastie# portmaster -r jpeg-7
 

jb_fvwm2

Daemon

Reaction score: 181
Messages: 1,695

Fwiw, that jpeg upgrade includes several ports
not included within the "minor-bump" list. So
one will probably have to rebuild several other
ports besides.
(imlib, imlib2, ...) (Not sure if those were or were
not in the minor bump list).
....
The only thing remaining from that jpeg bump, here
on this machine, is
firefox-2 will not start (error code 1, silently)
whereas firefox3 will start.
Tried renaming .mozilla, same result.
If I come across a solution I may post it here.
(I may have rebuilt a few too many ports out of proper
order).
..........
/edit/
rebuilding seamonkey worked.
/edit2/
rebuilding firefox worked. epiphany also.
Only messed up by moving-back the .mozilla, accidentally [1]
created it in .mozzila/.mozilla, all settings were lost
upon the reinstall. Copied the old to elsewhere,
grepped the files there for a bookmark, copied those
files to the new installed location, and it is all
as before with browsers working again...
[1] 2004 - 2009 still newbie as cp -vRp how to
precisely position the destination directories...
 
A

Anonymous

Guest


After rebuilt cairo, gtk20, png, pango Firefox 2 works okay but I have problem with GQview 2.15 which doesn't shows pivtures. They are just black. I did portupgrade -fr jpeg-*.
Whhat should I need to rebuild more, please?


Thanks.
--
Mitja
-----
http://starikarp.redbubble.com
 

DutchDaemon

Administrator
Staff member
Administrator
Moderator
Developer

Reaction score: 2,826
Messages: 11,313

[cmd=]pkg_info -R jpeg-7[/cmd] should show you every installed port depending on jpeg. I took the bruteforce approach and just launched [cmd=]portmaster -dRrf jpeg*[/cmd] (well, actually [cmd=]portmaster -x www/firefox -dRrf jpeg*[/cmd] because some ports still try to pull in FF2 as a dependency).
 

sleek

New Member


Messages: 7

lumiwa said:
After rebuilt cairo, gtk20, png, pango Firefox 2 works okay but I have problem with GQview 2.15 which doesn't shows pivtures. They are just black. I did portupgrade -fr jpeg-*.
Whhat should I need to rebuild more, please?


Thanks.
--
Mitja
-----
http://starikarp.redbubble.com
Did you try to rebuild GQview itself yet ?

For me, from what I've seen with running:

Code:
# portmaster -r jpeg-7
is I have to literally rebuild the whole DE though, and I have both Gnome and KDE installed, so, oh well... :e
 
A

Anonymous

Guest


sleek said:
Did you try to rebuild GQview itself yet ?

For me, from what I've seen with running:

Code:
# portmaster -r jpeg-7
is I have to literally rebuild the whole DE though, and I have both Gnome and KDE installed, so, oh well... :e
Yes, I did.
 
OP
OP
mfaridi

mfaridi

Aspiring Daemon

Reaction score: 15
Messages: 713

DutchDaemon said:
[cmd=]pkg_info -R jpeg-7[/cmd] should show you every installed port depending on jpeg. I took the bruteforce approach and just launched [cmd=]portmaster -dRrf jpeg*[/cmd] (well, actually [cmd=]portmaster -x www/firefox -dRrf jpeg*[/cmd] because some ports still try to pull in FF2 as a dependency).
I run
Code:
pkg_info -R jpeg-7
and I see this output
Code:
Information for jpeg-7:

Required by:
ImageMagick-6.5.3.10_1
Terminal-0.2.12_1
alacarte-0.12.1
amarok-1.4.10_3
aqbanking-4.1.0
arts-1.5.10_2,1
at-spi-1.26.0
audacious-2.0.1
avahi-gtk-0.6.25
blogtk-1.1_3
bluefish-1.0.7_5
bug-buddy-2.26.0
ccsm-0.8.2
cheese-2.26.3
clutter-0.8.8
clutter-cairo-0.8.2
clutter-gtk-0.8.3
cm-super-0.3.4_1
compiz-0.8.2
compiz-fusion-0.8.2
compiz-plugins-extra-0.8.2
compiz-plugins-main-0.8.2
compizconfig-backend-gconf-0.8.2
dasher-4.10.1,2
dbus-qt3-0.70_2
deskbar-applet-2.26.2
digikam-0.10.0_1,1
dikt-1g
djvulibre-nox11-3.5.22
docbook-utils-0.6.14_7
dvdauthor-0.6.14_3
dvipsk-tetex-5.95a_2
ecore-config-0.9.9.042
ecore-evas-0.9.9.042
ecore-imf_evas-0.9.9.042
edje-0.5.0.042,2
edje_viewer-20080223_1
eel-2.26.0
ekiga-2.0.11_5
emerald-0.8.2
empathy-2.26.2
eog-2.26.3
epiphany-2.26.3
eqonomize-kde4-0.6_1
etk-0.1.0.042_1,1
evas-core-0.9.9.042
evas-engine-buffer-0.9.9.042
evas-engine-opengl-0.9.9.042
evas-engine-x11-0.9.9.042
evas-engine-xrender-0.9.9.042
evas-loader-png-0.9.9.042
evince-2.26.2_1
evolution-2.26.3
evolution-data-server-2.26.3
evolution-exchange-2.24.5
evolution-webcal-2.26.0
farsight2-0.0.12_1
file-roller-2.26.3,1
filezilla-3.2.6.1_1
firefox-2.0.0.20_8,1
firefox-3.5.1,1
galculator-1.3.4
gcalctool-5.26.3,2
gconf-editor-2.26.0,1
gconf2-2.26.2
gdl-2.26.2
gdm-2.26.1_5
gedit-2.26.3
geotrace-0.0.4_5
gftp-2.0.19
gnome-applets-2.26.3
gnome-control-center-2.26.0
gnome-desktop-2.26.3
gnome-games-2.26.3
gnome-icon-theme-2.26.0_1
gnome-keyring-2.26.3
gnome-libs-1.4.2_12
gnome-mag-0.15.7
gnome-media-2.26.0
gnome-mount-0.8_2
gnome-netstatus-2.26.0
gnome-nettool-2.26.2,1
gnome-panel-2.26.3
gnome-power-manager-2.24.4_4
gnome-session-2.26.2
gnome-settings-daemon-2.26.1_1
gnome-spell-1.0.8_2
gnome-system-monitor-2.26.2
gnome-system-tools-2.22.2
gnome-terminal-2.26.3.1
gnome-themes-2.26.3.1
gnome-utils-2.26.0_1,1
gnome-vfs-2.24.1
gnome-volume-manager-2.24.1
gnucash-2.2.9_2
gnucash-docs-2.2.0_3
goffice-0.7.8
gok-2.26.0,1
gstreamer-plugins-gconf-0.10.15,3
gstreamer-plugins-soup-0.10.15,3
gtk-engines2-2.18.2
gtk-vnc-0.3.8
gtk-xfce-engine-2.6.0
gtkglext-1.2.0_3
gtkhtml3-3.26.3
gtkmm-2.16.0
gtksourceview-1.8.5_4
gtksourceview2-2.6.2
gtkspell-2.0.15
gucharmap-2.26.3.1
gvfs-1.2.3
hamster-applet-2.26.3
imlib-1.9.15_7
jadetex-3.13_2
jhead-2.87
jigdo-0.7.3_3
k3b-1.0.5_1
k9copy-1.0.4_4
kde4-style-polyester-2.0.0_1
kdeaccessibility-4.2.4
kdeartwork-4.2.4
kdebase-3.5.10_2
kdebase-4.2.4
kdebase-kompmgr-3.5.10
kdebase-runtime-4.2.4
kdebase-workspace-4.2.4
kdegames-4.2.4
kdegraphics-4.2.4_1
kdelibs-3.5.10
kdelibs-4.2.4
kdemultimedia-4.2.4_1
kdenetwork-4.2.4
kdepim-4.2.4
kdepimlibs-4.2.4
kdeplasma-addons-4.2.4
kdesdk-4.2.2
kdetoys-4.2.4
kdewebdev-4.2.4
kmplayer-0.10.0c_2,2
ksudoku-0.4_2
ktorrent-3.2.2_1
kwebget-0.8.1_4
libbonoboui-2.24.1
libcaca-0.99.b13_1
libcanberra-0.10_4
libcapplet-1.4.0.5_10
libepc-0.3.10
libexo-0.3.101
libgail-gnome-1.20.1
libgda4-4.0.2_1
libgksuui-1.0.7_3
libglade2-2.6.4
libgnome-2.26.0
libgnomecanvas-2.26.0
libgnomekbd-2.26.0
libgnomeprint-2.18.6
libgnomeprintui-2.18.4
libgnomeui-2.24.1
libgpod-0.6.0_1
libgsf-1.14.15
libgsf-gnome-1.14.15
libgtkhtml-2.11.1_2
libgweather-2.26.2.1
libmcs-0.7.1_2
libnotify-0.4.5
libpurple-2.5.8
librsvg2-2.26.0
libsexy-0.1.11_1
libsoup-2.26.3
libspectre-0.2.2
libwnck-2.26.2
libxfce4gui-4.6.1
libxfce4menu-4.6.1
libxine-1.1.16.3_1
metacity-2.26.0
mousepad-0.2.16_1
mousetweaks-2.26.3
mtr-0.75
multiget-1.1.3_2
myBudget-0.60_5
nautilus-2.26.3
nautilus-cd-burner-2.24.0_1
notification-daemon-0.4.0_1
nvidia-settings-185.19
opencv-1.0.0_3
openoffice.org-3.1.0_2
opera-9.64.20090302
orage-4.6.1
orca-2.26.3
pecl-pdflib-2.1.6
phonon-xine-4.3.1_1
php5-extensions-1.3
php5-gd-5.2.10
pidgin-2.5.8
plasma-applet-panelspacer-0.2_1
plasma-applet-yawp-0.2.3
policykit-gnome-0.9.2_1
poppler-gtk-0.10.6
poppler-qt4-0.10.6
poppler-utils-0.10.6
pulseaudio-0.9.14_7
pwg-0.2_6
py25-gnome-2.26.1
py25-gnome-desktop-2.26.0
py25-gnome-extras-2.25.3_2
py25-gstreamer-0.10.15
py25-gtk-2.14.1
qt4-imageformats-4.4.3
sdl_image-1.2.7
seahorse-2.26.2_1
seahorse-plugins-2.26.2
spassgen-1.5_4
spip-1.8.3_1
ssvnc-1.0.22
swfdec-0.8.4
swfdec-gnome-2.26.0
teTeX-3.0_2
teTeX-base-3.0_15
telepathy-farsight-0.0.7
telepathy-gabble-0.7.30
telepathy-mission-control-4.67
thunderbird-2.0.0.22
totem-2.26.3
totem-pl-parser-2.26.2
tracker-client-0.6.6_9
tracker-libtrackergtk-0.6.6_9
transmission-1.51
transmission-gtk2-1.51_1
typo3-4.2.6
unique-1.0.6
vinagre-2.26.2
vino-2.26.2
vlc-1.0.0,3
vte-0.20.4
wv-1.2.5
xdvik-tetex-22.84.10_2
xfce-4.6.1
xfce4-appfinder-4.6.1
xfce4-conf-4.6.1
xfce4-desktop-4.6.1
xfce4-mcs-manager-4.4.3
xfce4-mcs-plugins-4.4.3
xfce4-mixer-4.6.1
xfce4-panel-4.6.1
xfce4-print-4.6.1
xfce4-session-4.6.1
xfce4-settings-4.6.1
xfce4-utils-4.6.1
xfce4-wm-4.6.1
xscreensaver-5.08
xvid4conf-1.12_2
yakuake-kde4-2.9.6
yelp-2.26.0
zenity-2.26.0
Thunar-1.0.1_1
cups-image-1.3.10_3
cups-base-1.3.10_3
eet-0.9.10.042_1,2
electricsheep-2.6.8_7,1
evas-loader-jpeg-0.9.9.042_1
gd-2.0.35_1,1
gdk-pixbuf-0.22.0_9
ghostscript8-8.64_6
gtk-2.16.4_1
imlib2-1.4.1.000_2,2
jasper-1.900.1_8
lcms-1.18a_1,1
libdv-1.0.0_1
libmng-1.0.10_1
libvncserver-0.9.7_1
libwmf-0.2.8.4_4
netpbm-10.26.63_1
poppler-0.10.6_1
qt-3.3.8_10
sane-backends-1.0.20_2
tiff-3.8.2_4
transcode-1.0.6_6
wxgtk2-common-2.8.10_1
wxgtk2-2.8.10_1
xloadimage-4.1.16_5
xplanet-1.2.0_5
gnash-0.8.5_2
mplayer-0.99.11_14
py25-notify-0.1.1_4
Miro-2.0.5
dgs-0.5.9.1_8
graphviz-2.24.0
gstreamer-plugins-jpeg-0.10.15_1,3
ruby18-libart2-0.16.0.20080905_1
tightvnc-1.3.10_2
I wish this command solve all this broken packages
Code:
portmaster -dRrf jpeg*
 

DutchDaemon

Administrator
Staff member
Administrator
Moderator
Developer

Reaction score: 2,826
Messages: 11,313

I wish your life is long enough to see this run complete ...
 
OP
OP
mfaridi

mfaridi

Aspiring Daemon

Reaction score: 15
Messages: 713

DutchDaemon said:
I wish your life is long enough to see this run complete ...
Thanks
There is no fast way to solve this problem ?
 

DutchDaemon

Administrator
Staff member
Administrator
Moderator
Developer

Reaction score: 2,826
Messages: 11,313

He's using portmaster, not portupgrade. Read before posting.
 

DutchDaemon

Administrator
Staff member
Administrator
Moderator
Developer

Reaction score: 2,826
Messages: 11,313

mfaridi said:
Thanks
There is no fast way to solve this problem ?
Nope. It's very simple:

Please rebuild all ports that depend on it.
Running KDE, Gnome and XFCE4 on the same system probably doesn't make life any easier ..
 
OP
OP
mfaridi

mfaridi

Aspiring Daemon

Reaction score: 15
Messages: 713

DutchDaemon said:
[cmd=]pkg_info -R jpeg-7[/cmd] should show you every installed port depending on jpeg. I took the bruteforce approach and just launched [cmd=]portmaster -dRrf jpeg*[/cmd] (well, actually [cmd=]portmaster -x www/firefox -dRrf jpeg*[/cmd] because some ports still try to pull in FF2 as a dependency).
when I run this command

Code:
portmaster -dRrf jpeg*
I see this error

Code:
portmaster: No match
 

DutchDaemon

Administrator
Staff member
Administrator
Moderator
Developer

Reaction score: 2,826
Messages: 11,313

[cmd=]portmaster -dRrf jpeg\*[/cmd] or [cmd=]portmaster -dRrf jpeg-7[/cmd]
 

DutchDaemon

Administrator
Staff member
Administrator
Moderator
Developer

Reaction score: 2,826
Messages: 11,313

By the way: gqview appears to be broken after the jpeg upgrade. All my image editors/viewers work, but gqview won't.
 

DutchDaemon

Administrator
Staff member
Administrator
Moderator
Developer

Reaction score: 2,826
Messages: 11,313

Ok, it works here now, too. Somewhat. Turns out it takes some jpegs a long time to render, esp. the bigger ones, even in preview mode. When I move quickly through a directory full of large jpegs, it will show grey squares, but when I pass over them later, or more slowly, one after the other will show up eventually, only to disappear again on a later visit... Ristretto and Gimv have no problems. I'll try -devel later.
 

aragon

Daemon

Reaction score: 279
Messages: 2,029

mfaridi said:
There is no fast way to solve this problem ?
Have you tried symlinking the old library file to the new one? It's not a pretty approach and doesn't always work, but it's worth a try.

Code:
cd /usr/local/lib && ln -s libjpeg.so.10 libjpeg.so.9
 
A

Anonymous

Guest


DutchDaemon said:
Ok, it works here now, too. Somewhat. Turns out it takes some jpegs a long time to render, esp. the bigger ones, even in preview mode. When I move quickly through a directory full of large jpegs, it will show grey squares, but when I pass over them later, or more slowly, one after the other will show up eventually, only to disappear again on a later visit... Ristretto and Gimv have no problems. I'll try -devel later.
I use gqview-devel and it is not useful anymore.
 
OP
OP
mfaridi

mfaridi

Aspiring Daemon

Reaction score: 15
Messages: 713

I try reinstall all packages are depend on jpeg-7 , but all kde packages can not reinstall again and I see this error

Code:
==>  Configuring for qt4-moc-4.4.3
/bin/cp /usr/ports/devel/qt4-moc/../../devel/qt4/files/configure /usr/ports/devel/qt4-moc/work/qt-x11-opensource-src-4.4.3/src/tools/moc/../../../
/usr/bin/sed -i.bak -e 's|target.path.*|target.path=/usr/local/bin|g'  -e 's|^TARGET.*|TARGET=moc-qt4|g'  /usr/ports/devel/qt4-moc/work/qt-x11-opensource-src-4.4.3/src/tools/moc/moc.pro
/bin/mkdir -p /usr/ports/devel/qt4-moc/work/qt-x11-opensource-src-4.4.3/src/tools/moc/../../../mkspecs
/bin/ln -sf /usr/local/bin/qmake-qt4 /usr/ports/devel/qt4-moc/work/qt-x11-opensource-src-4.4.3/src/tools/moc/../../../bin/qmake

This is the Qt/X11 Open Source Edition.


   The specified system/compiler is not supported:

      /usr/ports/devel/qt4-moc/work/qt-x11-opensource-src-4.4.3/mkspecs/freebsd-g++

   Please see the README file for a complete list.

===>  Script "configure" failed unexpectedly.
Please report the problem to kde@FreeBSD.org [maintainer] and attach the
"/usr/ports/devel/qt4-moc/work/qt-x11-opensource-src-4.4.3/src/tools/moc/../../..//config.log"
including the output of the failure of your make command. Also, it might be
a good idea to provide an overview of all packages installed on your system
(e.g. an `ls /var/db/pkg`).
*** Error code 1

Stop in /usr/ports/devel/qt4-moc.

===>>> make failed for devel/qt4-moc
===>>> Aborting update
I do not know what is problem , problem is gcc or qt
when I type
Code:
pkg_info | grep qt
I see this output
Code:
Mostafa ~ [926] pkg_info | grep qt                                                                                                  12:17
dbus-qt3-0.70_2     Qt3 bindings for the D-BUS messaging system
poppler-qt4-0.10.6  Qt4 bindings to poppler
qt-3.3.8_10         Multiplatform C++ application framework
qt4-assistant-4.4.3 Qt documentation browser
qt4-clucene-4.4.3   QtCLucene full text search library wrapper
qt4-corelib-4.4.3   Qt core library
qt4-dbus-4.4.3      Qt4 bindings for the D-BUS messaging system
qt4-designer-4.4.3  Qt ui editor
qt4-doc-4.4.3       Multiplatform C++ application framework
qt4-gui-4.4.3_2     Qt graphical user interface library
qt4-help-4.4.3      QtHelp module provides QHelpEngine API and is used by Assis
qt4-iconengines-4.4.3 Qt SVG icon engine plugin
qt4-imageformats-4.4.3 Qt imageformat plugins for GIF, JPEG, MNG and SVG
qt4-makeqpf-4.4.3   Qt qtopia font creator
qt4-moc-4.4.3       Qt meta object compiler
qt4-mysql-plugin-4.4.3 Qt MySQL database plugin
qt4-network-4.4.3   Qt network library
qt4-opengl-4.4.3    Qt OpenGL library
qt4-pixeltool-4.4.3 Qt screen magnification utility
qt4-porting-4.4.3   Qt utility to assist with porting Qt3 applications to Qt4
qt4-qdbusviewer-4.4.3 Qt4 D-BUS viewer
qt4-qmake-4.4.3     The build utility of the Qt project
qt4-qt3support-4.4.3 Qt3 compatibility library
qt4-qtestlib-4.4.3  Qt unit testing library
qt4-rcc-4.4.3       Qt resource compiler
qt4-script-4.4.3    Qt script
qt4-sql-4.4.3       Qt SQL library
qt4-sqlite-plugin-4.4.3 Qt SQLite 3.x database plugin
qt4-svg-4.4.3       Qt SVG library
qt4-uic-4.4.3       Qt user interface compiler
qt4-uic3-4.4.3      Qt backwards-compatible user interface compiler
qt4-webkit-4.4.3    Qt4 webkit engine
qt4-xml-4.4.3       Qt XML library
qt4-xmlpatterns-4.4.3 XQuery 1.0 and XPath 2.0 support for Qt4
qt4-xmlpatterns-tool-4.4.3 Qt4 command line utility for running XQueries
tapioca-qt-0.14.1_4 Framework for VoIP and IP applications
telepathy-qt-0.14.1_3 Framework for VoIP and IP applications
when I type
Code:
pkg_info | grep gcc
I see this output
Code:
Mostafa ~ [927] pkg_info | grep gcc                                                                                                 12:38
gcc-4.2.5.20090325  GNU Compiler Collection 4.2
gccmakedep-1.0.2    Create dependencies in makefiles using 'gcc -M
what I must do right now ?
 

jb_fvwm2

Daemon

Reaction score: 181
Messages: 1,695

Guessing, but I suppose it is /devel/qmake4/ that you
may need to recompile? or
Code:
 rehash
after compile before
qt4-moc can be built?
 
Top